# Get a single take's audio file

- **Method:** `GET`
- **Path:** `/api/v1/audiobook/projects/{project_id}/segments/{segment_id}/history/{generation_id}/audio`
- **Operation ID:** `audiobook_get_take_audio_api_v1_audiobook_projects__project_id__segments__segment_id__history__generation_id__audio_get`
- **Tags:** Audiobook

## Effective servers

- `http://127.0.0.1:8100`

  Voice Creator Pro on this computer

## Path parameters

- **`project_id` (required)**: `string`
- **`segment_id` (required)**: `string`
- **`generation_id` (required)**: `string`

## Query parameters

- **`download`**: `string | null`

## Responses

### 200 Successful Response

**Content type:** `application/json`

`any`

**Example:**

```json
null
```

### 422 Validation Error

**Content type:** `application/json`

schema: `HTTPValidationError`

- **`detail`**: `array`

  **Items:**

  schema: `ValidationError`
  - **`loc` (required)**: `array of (string | integer)`
  - **`msg` (required)**: `string`
  - **`type` (required)**: `string`
  - **`ctx`**: `object`
  - **`input`**: `any`

**Example:**

```json
{
  "detail": [
    {
      "loc": [
        ""
      ],
      "msg": "",
      "type": "",
      "input": null,
      "ctx": {}
    }
  ]
}
```

## Schemas

- `HTTPValidationError` — shown above.
- `ValidationError` — shown above.
